gr-baz Package

baz_correlator Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_correlator.h>`

Inheritance diagram for baz_correlator:
[legend]

## Public Member Functions
| ~baz_correlator ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_correlator_sptr | baz_make_correlator (float samp_rate, float symbol_rate, int window_length, float threshold=0.5, int width=1024, const char *sync_path="sync.dat", int sync_length=511, int sync_offset=50, int sync_window_length=500)
| Return a shared_ptr to a new instance of baz_correlator.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_correlator()

baz_correlator::~baz_correlator | ( |  | ) |

## Member Function Documentation

## ◆ general_work()

int baz_correlator::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## ◆ baz_make_correlator

BAZ_API baz_correlator_sptr baz_make_correlator | ( | float | samp_rate,
|  | float | symbol_rate,
|  | int | window_length,
|  | float | threshold = 0.5,
|  | int | width = 1024,
|  | const char * | sync_path = "sync.dat",
|  | int | sync_length = 511,
|  | int | sync_offset = 50,
|  | int | sync_window_length = 500 )
| friend

Return a shared_ptr to a new instance of baz_correlator.

To avoid accidental use of raw pointers, baz_correlator's constructor is private. baz_make_correlator is the public interface for creating new instances.

References BAZ_API.

The documentation for this class was generated from the following file:

- baz_correlator.h